package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.ConfRestricaoExcecaoDAO;
import com.rjconsultores.ventaboletos.entidad.ConfRestricaoExcecao;
import com.rjconsultores.ventaboletos.service.ConfRestricaoExcecaoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("confRestricaoExcecaoService")
public class ConfRestricaoExcecaoServiceImpl implements ConfRestricaoExcecaoService {

	@Autowired
	private ConfRestricaoExcecaoDAO confRestricaoExcecaoDAO;

	public List<ConfRestricaoExcecao> obtenerTodos() {
		return confRestricaoExcecaoDAO.obtenerTodos();
	}

	public ConfRestricaoExcecao obtenerID(Integer id) {
		return confRestricaoExcecaoDAO.obtenerID(id);
	}

	@Transactional
	public ConfRestricaoExcecao suscribir(ConfRestricaoExcecao entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return confRestricaoExcecaoDAO.suscribir(entidad);
	}

	@Transactional
	public ConfRestricaoExcecao actualizacion(ConfRestricaoExcecao entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return confRestricaoExcecaoDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(ConfRestricaoExcecao entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		confRestricaoExcecaoDAO.actualizacion(entidad);
	}
}
